Subject: [sieve] Question about enclose action defined in RFC 5703

From: Stephan Bosch <[email-masked]>
Date: Sat, 14 Nov 2009 20:39:36 +0100

Hi,

I have a simple question about the "enclose" action defined in RFC 5703. 
I am wondering about the rationale behind the following statement in 
Section 6:

`This action does not affect messages that are forwarded via a 
"redirect" action.'

The reason I'm asking is that a user requested this functionality for 
the redirect action (i.e. forwarding as attachment) and I had the 
impression that "enclose" would provide this. But I turned out to be 
wrong and I am now wondering why redirect is explicitly excluded from 
enclose.

I realize that RFC 5703 will not be adjusted anymore and that is also 
not my goal. I am basically just curious about why this was decided and 
whether an alternative could be provided by means of a new extension/action.

Regards,

Stephan.